v.what.strds(1)

NAME
v.what.strds.py - Uploads space time raster dataset values at positions of vector points to the table.

KEYWORDS
vector, temporal, sampling, position, querying, attribute table, time

SYNOPSIS
v.what.strds.py
v.what.strds.py --help
v.what.strds.py [-u] input=name strds=name[,name,...] [output=name] [where=sql_query] [t_where=sql_query] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-u
    Update attribute table of input vector map
    Instead of creating a new vector map update the attribute table with value(s)

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input vector map
    Or data source for direct OGR access

strds=name[,name,...] [required]
    Name of the input space time raster datasets

output=name
    Name for output vector map

where=sql_query
    WHERE conditions of SQL statement without ’where’ keyword
    Example: income < 1000 and population >= 10000

t_where=sql_query
    WHERE conditions of SQL statement without ’where’ keyword used in the temporal GIS framework
    Example: start_time > ’2001-01-01 12:30:00’

DESCRIPTION
v.what.strds retrieves raster values from a given space-time raster datasets (STRDS) using a point vector map.

NOTES
TBD.

EXAMPLES

v.what.strds input=mypoints strds=mystrds output=newvector

SEE ALSO
v.what.rast, t.vect.observe.strds

AUTHOR
Luca Delucchi

SOURCE CODE

Available at: v.what.strds source code (history)

Accessed: unknown

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 7.8.7 Reference Manual